Subject: RE: [PATCH] ks8851: Fix missing mutex_lock/unlock

From: "Matt Renzelmann" <[email-masked]>
Date: Thu, 12 Apr 2012 15:56:25 -0500

> This register is already read in the probe function and the lock is not
> held there so you seem to have missed a couple. I would guess it doesn't
> really matter tha we don't grab the lock though because the device isn't
> actively sending/receiving packets. How about this instead?
> 

The reason I didn't go that way was the request_irq call is not made until near
the end of probe.  I believe only the ks8851_rdreg16 call in the netdev_info
statement actually needs the mutex protection.  That said, the approach you
posted looks reasonable as well and may be clearer.  I'm unsure as to which way
is best.

Thanks everyone for your help,
Matt